### Method

# Gtk Applicationset_accels_for_action

#### Declaration [src]

    void
    gtk_application_set_accels_for_action (
      GtkApplication* application,
      const char* detailed_action_name,
      const char* const* accels
    )

#### Description [src]

Sets zero or more keyboard accelerators that will trigger the given action.

The first item in `accels` will be the primary accelerator, which may be displayed in the UI.

To remove all accelerators for an action, use an empty, zero-terminated array for `accels`.

For the `detailed_action_name`, see `g_action_parse_detailed_name()` and `g_action_print_detailed_name()`.

#### Parameters

`detailed_action_name`

  Type: `const char*`

  A detailed action name, specifying an action and target to associate accelerators with.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`accels`

  Type: An array of `char*`

  A list of accelerators in the format understood by `gtk_accelerator_parse()`

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.